%P. Kano
%August 24, 2005

function [LaguerreCoef] = WeeksFFTLagCoef(FFTSamples,NNodes,NLaguerreCoef)

%Note: For FFT it is required that NLaguerreCoef = MInversions
%Sample F(s) 
%Note order: FFTSamples(1:1:NNodes,1:1:2*NLaguerreCoef) = 0;
TempCoef = fftshift(FFTSamples,2);
TempCoef = fft(TempCoef,[],2);
TempCoef = fftshift(TempCoef,2);

%Use only part of the TempCoef
for n=1:1:NLaguerreCoef
 LaguerreCoef(:,n) = TempCoef(:,n+NLaguerreCoef)*exp(-1*i*(n-1)*pi/NLaguerreCoef*1/2)/(2*NLaguerreCoef);
end
 

 

